CHSH(1)

NAMN
chsh - ändra inloggningsskal

SYNOPSIS

chsh [flaggor] [INLOGGNINGSNAMN]

BESKRIVNING

chsh changes the user login shell. This determines the name of the user's initial login command. A normal user may only change the login shell for her own account, the super user may change the login shell for any account.

FLAGGOR

Flaggorna som gäller för kommandot chsh är:

-h, --help
    Visa hjälpmeddelande och avsluta.

-s, --shellSKAL
    The name of the user's new login shell. Setting this field to blank causes the system to select the default login shell.

If the -s option is not selected, chsh operates in an interactive fashion, prompting the user with the current login shell. Enter the new value to change the shell, or leave the line blank to use the current one. The current shell is displayed between a pair of [ ] marks.

NOTERA

The only restriction placed on the login shell is that the command name must be listed in /etc/shells, unless the invoker is the super-user, and then any value may be added. An account with a restricted login shell may not change her login shell. For this reason, placing /bin/rsh in /etc/shells is discouraged since accidentally changing to a restricted shell would prevent the user from ever changing her login shell back to its original value.

FILER

/etc/passwd
    Användarkontoinformation.

/etc/shells
    Lista på giltiga inloggningsskal.

/etc/login.defs
    Shadow password suite configuration.

SE OCKSÅ

chfn(1), login.defs(5), passwd(5).